Macaulay2 » Documentation
Packages » Macaulay2Doc » modules » free modules » Ring ^ ZZ
next | previous | forward | backward | up | index | toc

# Ring ^ ZZ -- make a free module

- Operator: ^
- Usage:
    `R^n`
- Inputs:
  - R, a ring
  - n, an integer
- Outputs:
  - a module, a new free R-module of rank n.

## Description

The new free module has basis elements of degree zero. To specify the degrees explicitly, see Ring ^ List.

    i1 : R = ZZ[x,y,z]/(x^2-y*x)

    o1 = R

    o1 : QuotientRing

    i2 : F = R^4

          4
    o2 = R

    o2 : R-module, free

    i3 : degrees F

    o3 = {{0}, {0}, {0}, {0}}

    o3 : List

## See also

- degrees(Module) -- degrees of generators
- Ring ^ List -- make a free module
- graded and multigraded polynomial rings

## Ways to use this method:

- Ring ^ ZZ -- make a free module
- `RingFamily ^ ZZ`

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Macaulay2Doc/operators/caret.m2:95:0.